- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_bulk_operation_t

# mongoc_bulk_operation_set_client()

## Synopsis

    void
    mongoc_bulk_operation_set_client (mongoc_bulk_operation_t *bulk, void *client);

## Parameters

- `bulk`: A mongoc_bulk_operation_t.
- `client`: A mongoc_client_t.

## Description

Specifies a client to use for the operation. This function has an effect only if called before mongoc_bulk_operation_execute().

If a mongoc_client_session_t has already been assigned with mongoc_bulk_operation_set_client_session(), the `client` parameter must be the same as the mongoc_client_t associated with that mongoc_client_session_t.

Use `mongoc_bulk_operation_set_client` only for building a language driver that wraps the C Driver. When writing applications in C, a client is implicitly set by mongoc_collection_create_bulk_operation_with_opts().

The `client` parameter’s type is a void pointer by mistake, but it must be preserved for ABI. You must only pass a mongoc_client_t pointer for `client`.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.